<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_TechnologyAssetsIA" xlink:label="TechnologyAssetsIA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_RetainersAndBusinessConsignmentExpensesSGA" xlink:label="RetainersAndBusinessConsignmentExpensesSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_PurchaseOfOtherPropertyInvCF" xlink:label="PurchaseOfOtherPropertyInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_NotesRegardingStateSubsidyAndLossOnReductionOfNonCurrentAssetsTextBlock" xlink:label="NotesRegardingStateSubsidyAndLossOnReductionOfNonCurrentAssetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_NotesRegardingLossOnLiquidationOfBusinessTextBlock" xlink:label="NotesRegardingLossOnLiquidationOfBusinessTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_NakaoKoichiMember" xlink:label="NakaoKoichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_MinenoJunichiMember" xlink:label="MinenoJunichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_HamaokaYoMember" xlink:label="HamaokaYoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_KimuraMasanobuMember" xlink:label="KimuraMasanobuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_MiyamuraTsuyoshiMember" xlink:label="MiyamuraTsuyoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_KawashimaNobukoMember" xlink:label="KawashimaNobukoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_KimuraKazukoMember" xlink:label="KimuraKazukoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_MatsumuraNoriomiMember" xlink:label="MatsumuraNoriomiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_KitaAkihikoMember" xlink:label="KitaAkihikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_TamakiMasahideMember" xlink:label="TamakiMasahideMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_KamataKunihikoMember" xlink:label="KamataKunihikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_HimeiwaYasuoMember" xlink:label="HimeiwaYasuoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_MakikawaMasaakiMember" xlink:label="MakikawaMasaakiMember" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2021-11-01/jppfs_cor_2021-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:label xlink:type="resource" xlink:label="label_CumulativeEffectsOfChangesInAccountingPolicies" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_CumulativeEffectsOfChangesInAccountingPolicies">Cumulative effects of changes in accounting policies</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="label_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2021-11-01/jppfs_cor_2021-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="RestatedBalance" />
    <link:label xlink:type="resource" xlink:label="label_RestatedBalance" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_RestatedBalance">Restated balance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestatedBalance" xlink:to="label_RestatedBalance" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_KimuraMutsumiMember" xlink:label="KimuraMutsumiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_NotesRegardingLossOnValuationOfInventoriesTextBlock" xlink:label="NotesRegardingLossOnValuationOfInventoriesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02474-000_2022-03-31_01_2022-06-29.xsd#jpcrp030000-asr_E02474-000_NotesRegardingSubsidiesReceivedTextBlock" xlink:label="NotesRegardingSubsidiesReceivedTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_TechnologyAssetsIA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TechnologyAssetsIA">Technology assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TechnologyAssetsIA" xlink:to="label_TechnologyAssetsIA" />
    <link:label xlink:type="resource" xlink:label="label_TechnologyAssetsIA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TechnologyAssetsIA_2">Technology assets-IA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TechnologyAssetsIA" xlink:to="label_TechnologyAssetsIA_2" />
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfOtherPropertyInvCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurchaseOfOtherPropertyInvCF">Purchase Of Other Property</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfOtherPropertyInvCF" xlink:to="label_PurchaseOfOtherPropertyInvCF" />
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfOtherPropertyInvCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurchaseOfOtherPropertyInvCF_2">Purchase Of Other Property-InvCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfOtherPropertyInvCF" xlink:to="label_PurchaseOfOtherPropertyInvCF_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingSubsidiesReceivedTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingSubsidiesReceivedTextBlock_2">Notes regarding subsidies received</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingSubsidiesReceivedTextBlock" xlink:to="label_NotesRegardingSubsidiesReceivedTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingSubsidiesReceivedTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingSubsidiesReceivedTextBlock">Notes regarding subsidies received [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingSubsidiesReceivedTextBlock" xlink:to="label_NotesRegardingSubsidiesReceivedTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_RetainersAndBusinessConsignmentExpensesSGA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RetainersAndBusinessConsignmentExpensesSGA">Retainers and Business consignment expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RetainersAndBusinessConsignmentExpensesSGA" xlink:to="label_RetainersAndBusinessConsignmentExpensesSGA" />
    <link:label xlink:type="resource" xlink:label="label_RetainersAndBusinessConsignmentExpensesSGA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RetainersAndBusinessConsignmentExpensesSGA_2">Retainers and Business consignment expenses-SGA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RetainersAndBusinessConsignmentExpensesSGA" xlink:to="label_RetainersAndBusinessConsignmentExpensesSGA_2" />
    <link:label xlink:type="resource" xlink:label="label_NakaoKoichiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NakaoKoichiMember">Nakao, Koichi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NakaoKoichiMember" xlink:to="label_NakaoKoichiMember" />
    <link:label xlink:type="resource" xlink:label="label_NakaoKoichiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NakaoKoichiMember_2">Nakao, Koichi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NakaoKoichiMember" xlink:to="label_NakaoKoichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MinenoJunichiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MinenoJunichiMember">Mineno, Junichi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MinenoJunichiMember" xlink:to="label_MinenoJunichiMember" />
    <link:label xlink:type="resource" xlink:label="label_MinenoJunichiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MinenoJunichiMember_2">Mineno, Junichi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MinenoJunichiMember" xlink:to="label_MinenoJunichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HamaokaYoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HamaokaYoMember">Hamaoka, Yo</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HamaokaYoMember" xlink:to="label_HamaokaYoMember" />
    <link:label xlink:type="resource" xlink:label="label_HamaokaYoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HamaokaYoMember_2">Hamaoka, Yo [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HamaokaYoMember" xlink:to="label_HamaokaYoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MiyamuraTsuyoshiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MiyamuraTsuyoshiMember">Miyamura, Tsuyoshi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyamuraTsuyoshiMember" xlink:to="label_MiyamuraTsuyoshiMember" />
    <link:label xlink:type="resource" xlink:label="label_MiyamuraTsuyoshiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MiyamuraTsuyoshiMember_2">Miyamura, Tsuyoshi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyamuraTsuyoshiMember" xlink:to="label_MiyamuraTsuyoshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KimuraMasanobuMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KimuraMasanobuMember">Kimura, Masanobu [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KimuraMasanobuMember" xlink:to="label_KimuraMasanobuMember" />
    <link:label xlink:type="resource" xlink:label="label_KimuraMasanobuMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KimuraMasanobuMember_2">Kimura, Masanobu</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KimuraMasanobuMember" xlink:to="label_KimuraMasanobuMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KimuraMutsumiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KimuraMutsumiMember_2">Kimura, Mutsumi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KimuraMutsumiMember" xlink:to="label_KimuraMutsumiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KimuraMutsumiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KimuraMutsumiMember">Kimura, Mutsumi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KimuraMutsumiMember" xlink:to="label_KimuraMutsumiMember" />
    <link:label xlink:type="resource" xlink:label="label_KawashimaNobukoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KawashimaNobukoMember">Kawashima, Nobuko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawashimaNobukoMember" xlink:to="label_KawashimaNobukoMember" />
    <link:label xlink:type="resource" xlink:label="label_KawashimaNobukoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KawashimaNobukoMember_2">Kawashima, Nobuko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawashimaNobukoMember" xlink:to="label_KawashimaNobukoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KimuraKazukoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KimuraKazukoMember">Kimura, Kazuko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KimuraKazukoMember" xlink:to="label_KimuraKazukoMember" />
    <link:label xlink:type="resource" xlink:label="label_KimuraKazukoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KimuraKazukoMember_2">Kimura, Kazuko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KimuraKazukoMember" xlink:to="label_KimuraKazukoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MatsumuraNoriomiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MatsumuraNoriomiMember">Matsumura, Noriomi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MatsumuraNoriomiMember" xlink:to="label_MatsumuraNoriomiMember" />
    <link:label xlink:type="resource" xlink:label="label_MatsumuraNoriomiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MatsumuraNoriomiMember_2">Matsumura, Noriomi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MatsumuraNoriomiMember" xlink:to="label_MatsumuraNoriomiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KitaAkihikoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KitaAkihikoMember">Kita, Akihiko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KitaAkihikoMember" xlink:to="label_KitaAkihikoMember" />
    <link:label xlink:type="resource" xlink:label="label_KitaAkihikoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KitaAkihikoMember_2">Kita, Akihiko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KitaAkihikoMember" xlink:to="label_KitaAkihikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TamakiMasahideMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TamakiMasahideMember">Tamaki, Masahide</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TamakiMasahideMember" xlink:to="label_TamakiMasahideMember" />
    <link:label xlink:type="resource" xlink:label="label_TamakiMasahideMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TamakiMasahideMember_2">Tamaki, Masahide [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TamakiMasahideMember" xlink:to="label_TamakiMasahideMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KamataKunihikoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KamataKunihikoMember">Kamata, Kunihiko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KamataKunihikoMember" xlink:to="label_KamataKunihikoMember" />
    <link:label xlink:type="resource" xlink:label="label_KamataKunihikoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KamataKunihikoMember_2">Kamata, Kunihiko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KamataKunihikoMember" xlink:to="label_KamataKunihikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HimeiwaYasuoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HimeiwaYasuoMember">Himeiwa, Yasuo [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HimeiwaYasuoMember" xlink:to="label_HimeiwaYasuoMember" />
    <link:label xlink:type="resource" xlink:label="label_HimeiwaYasuoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HimeiwaYasuoMember_2">Himeiwa, Yasuo</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HimeiwaYasuoMember" xlink:to="label_HimeiwaYasuoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MakikawaMasaakiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MakikawaMasaakiMember">Makikawa, Masaaki [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MakikawaMasaakiMember" xlink:to="label_MakikawaMasaakiMember" />
    <link:label xlink:type="resource" xlink:label="label_MakikawaMasaakiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MakikawaMasaakiMember_2">Makikawa, Masaaki</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MakikawaMasaakiMember" xlink:to="label_MakikawaMasaakiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingStateSubsidyAndLossOnReductionOfNonCurrentAssetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingStateSubsidyAndLossOnReductionOfNonCurrentAssetsTextBlock">Notes regarding state subsidy and loss on reduction of non-current assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingStateSubsidyAndLossOnReductionOfNonCurrentAssetsTextBlock" xlink:to="label_NotesRegardingStateSubsidyAndLossOnReductionOfNonCurrentAssetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingStateSubsidyAndLossOnReductionOfNonCurrentAssetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingStateSubsidyAndLossOnReductionOfNonCurrentAssetsTextBlock_2">Notes regarding state subsidy and loss on reduction of non-current assets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingStateSubsidyAndLossOnReductionOfNonCurrentAssetsTextBlock" xlink:to="label_NotesRegardingStateSubsidyAndLossOnReductionOfNonCurrentAssetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnLiquidationOfBusinessTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingLossOnLiquidationOfBusinessTextBlock">Notes regarding loss on liquidation of business</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnLiquidationOfBusinessTextBlock" xlink:to="label_NotesRegardingLossOnLiquidationOfBusinessTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnLiquidationOfBusinessTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingLossOnLiquidationOfBusinessTextBlock_2">Notes regarding loss on liquidation of business [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnLiquidationOfBusinessTextBlock" xlink:to="label_NotesRegardingLossOnLiquidationOfBusinessTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnValuationOfInventoriesTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingLossOnValuationOfInventoriesTextBlock_2">Notes regarding loss on valuation of inventories</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnValuationOfInventoriesTextBlock" xlink:to="label_NotesRegardingLossOnValuationOfInventoriesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnValuationOfInventoriesTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingLossOnValuationOfInventoriesTextBlock">Notes regarding loss on valuation of inventories [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnValuationOfInventoriesTextBlock" xlink:to="label_NotesRegardingLossOnValuationOfInventoriesTextBlock" />
  </link:labelLink>
</link:linkbase>